package androidx.appcompat.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.appcompat.widget.m0;
import androidx.core.view.a0;
import androidx.core.view.e;
import c.f;
import com.luck.picture.lib.R;
import com.luck.picture.lib.tools.PictureFileUtils;

public class AlertDialogLayout extends m0 {
    public AlertDialogLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    private boolean A(int i5, int i6) {
        int i7;
        int i8;
        int i9;
        int i10;
        int childCount = getChildCount();
        View view = null;
        View view2 = null;
        View view3 = null;
        for (int i11 = 0; i11 < childCount; i11++) {
            View childAt = getChildAt(i11);
            if (childAt.getVisibility() != 8) {
                int id = childAt.getId();
                if (id == f.P) {
                    view = childAt;
                } else if (id == f.f3474k) {
                    view2 = childAt;
                } else if ((id != f.f3476m && id != f.f3478o) || view3 != null) {
                    return false;
                } else {
                    view3 = childAt;
                }
            }
        }
        int mode = View.MeasureSpec.getMode(i6);
        int size = View.MeasureSpec.getSize(i6);
        int mode2 = View.MeasureSpec.getMode(i5);
        int paddingTop = getPaddingTop() + getPaddingBottom();
        if (view != null) {
            view.measure(i5, 0);
            paddingTop += view.getMeasuredHeight();
            i7 = View.combineMeasuredStates(0, view.getMeasuredState());
        } else {
            i7 = 0;
        }
        if (view2 != null) {
            view2.measure(i5, 0);
            i9 = z(view2);
            i8 = view2.getMeasuredHeight() - i9;
            paddingTop += i9;
            i7 = View.combineMeasuredStates(i7, view2.getMeasuredState());
        } else {
            i9 = 0;
            i8 = 0;
        }
        if (view3 != null) {
            view3.measure(i5, mode == 0 ? 0 : View.MeasureSpec.makeMeasureSpec(Math.max(0, size - paddingTop), mode));
            i10 = view3.getMeasuredHeight();
            paddingTop += i10;
            i7 = View.combineMeasuredStates(i7, view3.getMeasuredState());
        } else {
            i10 = 0;
        }
        int i12 = size - paddingTop;
        if (view2 != null) {
            int i13 = paddingTop - i9;
            int min = Math.min(i12, i8);
            if (min > 0) {
                i12 -= min;
                i9 += min;
            }
            view2.measure(i5, View.MeasureSpec.makeMeasureSpec(i9, PictureFileUtils.GB));
            paddingTop = i13 + view2.getMeasuredHeight();
            i7 = View.combineMeasuredStates(i7, view2.getMeasuredState());
        }
        if (view3 != null && i12 > 0) {
            view3.measure(i5, View.MeasureSpec.makeMeasureSpec(i10 + i12, mode));
            paddingTop = (paddingTop - i10) + view3.getMeasuredHeight();
            i7 = View.combineMeasuredStates(i7, view3.getMeasuredState());
        }
        int i14 = 0;
        for (int i15 = 0; i15 < childCount; i15++) {
            View childAt2 = getChildAt(i15);
            if (childAt2.getVisibility() != 8) {
                i14 = Math.max(i14, childAt2.getMeasuredWidth());
            }
        }
        setMeasuredDimension(View.resolveSizeAndState(i14 + getPaddingLeft() + getPaddingRight(), i5, i7), View.resolveSizeAndState(paddingTop, i6, 0));
        if (mode2 == 1073741824) {
            return true;
        }
        j(childCount, i6);
        return true;
    }

    private void j(int i5, int i6) {
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), PictureFileUtils.GB);
        for (int i7 = 0; i7 < i5; i7++) {
            View childAt = getChildAt(i7);
            if (childAt.getVisibility() != 8) {
                m0.a aVar = (m0.a) childAt.getLayoutParams();
                if (((LinearLayout.LayoutParams) aVar).width == -1) {
                    int i8 = ((LinearLayout.LayoutParams) aVar).height;
                    ((LinearLayout.LayoutParams) aVar).height = childAt.getMeasuredHeight();
                    measureChildWithMargins(childAt, makeMeasureSpec, 0, i6, 0);
                    ((LinearLayout.LayoutParams) aVar).height = i8;
                }
            }
        }
    }

    private void y(View view, int i5, int i6, int i7, int i8) {
        view.layout(i5, i6, i7 + i5, i8 + i6);
    }

    private static int z(View view) {
        int y5 = a0.y(view);
        if (y5 > 0) {
            return y5;
        }
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            if (viewGroup.getChildCount() == 1) {
                return z(viewGroup.getChildAt(0));
            }
        }
        return 0;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00a6  */
    @Override // androidx.appcompat.widget.m0
    public void onLayout(boolean z4, int i5, int i6, int i7, int i8) {
        int i9;
        int i10;
        int paddingLeft = getPaddingLeft();
        int i11 = i7 - i5;
        int paddingRight = i11 - getPaddingRight();
        int paddingRight2 = (i11 - paddingLeft) - getPaddingRight();
        int measuredHeight = getMeasuredHeight();
        int childCount = getChildCount();
        int gravity = getGravity();
        int i12 = gravity & R.styleable.AppCompatTheme_toolbarNavigationButtonStyle;
        int i13 = gravity & 8388615;
        int paddingTop = i12 != 16 ? i12 != 80 ? getPaddingTop() : ((getPaddingTop() + i8) - i6) - measuredHeight : getPaddingTop() + (((i8 - i6) - measuredHeight) / 2);
        Drawable dividerDrawable = getDividerDrawable();
        int intrinsicHeight = dividerDrawable == null ? 0 : dividerDrawable.getIntrinsicHeight();
        for (int i14 = 0; i14 < childCount; i14++) {
            View childAt = getChildAt(i14);
            if (!(childAt == null || childAt.getVisibility() == 8)) {
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight2 = childAt.getMeasuredHeight();
                m0.a aVar = (m0.a) childAt.getLayoutParams();
                int i15 = ((LinearLayout.LayoutParams) aVar).gravity;
                if (i15 < 0) {
                    i15 = i13;
                }
                int b5 = e.b(i15, a0.x(this)) & 7;
                if (b5 == 1) {
                    i10 = ((paddingRight2 - measuredWidth) / 2) + paddingLeft + ((LinearLayout.LayoutParams) aVar).leftMargin;
                } else if (b5 != 5) {
                    i9 = ((LinearLayout.LayoutParams) aVar).leftMargin + paddingLeft;
                    if (r(i14)) {
                        paddingTop += intrinsicHeight;
                    }
                    int i16 = paddingTop + ((LinearLayout.LayoutParams) aVar).topMargin;
                    y(childAt, i9, i16, measuredWidth, measuredHeight2);
                    paddingTop = i16 + measuredHeight2 + ((LinearLayout.LayoutParams) aVar).bottomMargin;
                } else {
                    i10 = paddingRight - measuredWidth;
                }
                i9 = i10 - ((LinearLayout.LayoutParams) aVar).rightMargin;
                if (r(i14)) {
                }
                int i162 = paddingTop + ((LinearLayout.LayoutParams) aVar).topMargin;
                y(childAt, i9, i162, measuredWidth, measuredHeight2);
                paddingTop = i162 + measuredHeight2 + ((LinearLayout.LayoutParams) aVar).bottomMargin;
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.m0
    public void onMeasure(int i5, int i6) {
        if (!A(i5, i6)) {
            super.onMeasure(i5, i6);
        }
    }
}
