package androidx.core.view;

import android.os.Build;
import android.util.Log;
import android.view.View;
import android.view.ViewParent;

public final class e0 {
    public static boolean a(ViewParent viewParent, View view, float f5, float f6, boolean z4) {
        if (Build.VERSION.SDK_INT >= 21) {
            try {
                return viewParent.onNestedFling(view, f5, f6, z4);
            } catch (AbstractMethodError e5) {
                Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedFling", e5);
                return false;
            }
        } else if (viewParent instanceof s) {
            return ((s) viewParent).onNestedFling(view, f5, f6, z4);
        } else {
            return false;
        }
    }

    public static boolean b(ViewParent viewParent, View view, float f5, float f6) {
        if (Build.VERSION.SDK_INT >= 21) {
            try {
                return viewParent.onNestedPreFling(view, f5, f6);
            } catch (AbstractMethodError e5) {
                Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedPreFling", e5);
                return false;
            }
        } else if (viewParent instanceof s) {
            return ((s) viewParent).onNestedPreFling(view, f5, f6);
        } else {
            return false;
        }
    }

    public static void c(ViewParent viewParent, View view, int i5, int i6, int[] iArr, int i7) {
        if (viewParent instanceof q) {
            ((q) viewParent).j(view, i5, i6, iArr, i7);
        } else if (i7 != 0) {
        } else {
            if (Build.VERSION.SDK_INT >= 21) {
                try {
                    viewParent.onNestedPreScroll(view, i5, i6, iArr);
                } catch (AbstractMethodError e5) {
                    Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedPreScroll", e5);
                }
            } else if (viewParent instanceof s) {
                ((s) viewParent).onNestedPreScroll(view, i5, i6, iArr);
            }
        }
    }

    public static void d(ViewParent viewParent, View view, int i5, int i6, int i7, int i8, int i9, int[] iArr) {
        if (viewParent instanceof r) {
            ((r) viewParent).m(view, i5, i6, i7, i8, i9, iArr);
            return;
        }
        iArr[0] = iArr[0] + i7;
        iArr[1] = iArr[1] + i8;
        if (viewParent instanceof q) {
            ((q) viewParent).n(view, i5, i6, i7, i8, i9);
        } else if (i9 != 0) {
        } else {
            if (Build.VERSION.SDK_INT >= 21) {
                try {
                    viewParent.onNestedScroll(view, i5, i6, i7, i8);
                } catch (AbstractMethodError e5) {
                    Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedScroll", e5);
                }
            } else if (viewParent instanceof s) {
                ((s) viewParent).onNestedScroll(view, i5, i6, i7, i8);
            }
        }
    }

    public static void e(ViewParent viewParent, View view, View view2, int i5, int i6) {
        if (viewParent instanceof q) {
            ((q) viewParent).h(view, view2, i5, i6);
        } else if (i6 != 0) {
        } else {
            if (Build.VERSION.SDK_INT >= 21) {
                try {
                    viewParent.onNestedScrollAccepted(view, view2, i5);
                } catch (AbstractMethodError e5) {
                    Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedScrollAccepted", e5);
                }
            } else if (viewParent instanceof s) {
                ((s) viewParent).onNestedScrollAccepted(view, view2, i5);
            }
        }
    }

    public static boolean f(ViewParent viewParent, View view, View view2, int i5, int i6) {
        if (viewParent instanceof q) {
            return ((q) viewParent).o(view, view2, i5, i6);
        }
        if (i6 != 0) {
            return false;
        }
        if (Build.VERSION.SDK_INT >= 21) {
            try {
                return viewParent.onStartNestedScroll(view, view2, i5);
            } catch (AbstractMethodError e5) {
                Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onStartNestedScroll", e5);
                return false;
            }
        } else if (viewParent instanceof s) {
            return ((s) viewParent).onStartNestedScroll(view, view2, i5);
        } else {
            return false;
        }
    }

    public static void g(ViewParent viewParent, View view, int i5) {
        if (viewParent instanceof q) {
            ((q) viewParent).i(view, i5);
        } else if (i5 != 0) {
        } else {
            if (Build.VERSION.SDK_INT >= 21) {
                try {
                    viewParent.onStopNestedScroll(view);
                } catch (AbstractMethodError e5) {
                    Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onStopNestedScroll", e5);
                }
            } else if (viewParent instanceof s) {
                ((s) viewParent).onStopNestedScroll(view);
            }
        }
    }
}
