package com.luck.picture.lib;

import android.content.Context;
import android.media.ExifInterface;
import android.net.Uri;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import java.io.InputStream;

public class PictureSelectorExternalUtils {
    public static ExifInterface getExifInterface(Context context, String str) {
        Throwable th;
        Exception e5;
        InputStream inputStream;
        InputStream inputStream2 = null;
        ExifInterface exifInterface = null;
        try {
            if (!SdkVersionUtils.isQ() || !PictureMimeType.isContent(str)) {
                exifInterface = new ExifInterface(str);
                inputStream = null;
            } else {
                inputStream = PictureContentResolver.getContentResolverOpenInputStream(context, Uri.parse(str));
                if (inputStream != null) {
                    try {
                        exifInterface = new ExifInterface(inputStream);
                    } catch (Exception e6) {
                        e5 = e6;
                        try {
                            e5.printStackTrace();
                            PictureFileUtils.close(inputStream);
                            return null;
                        } catch (Throwable th2) {
                            th = th2;
                            inputStream2 = inputStream;
                            PictureFileUtils.close(inputStream2);
                            throw th;
                        }
                    }
                }
            }
            PictureFileUtils.close(inputStream);
            return exifInterface;
        } catch (Exception e7) {
            e5 = e7;
            inputStream = null;
            e5.printStackTrace();
            PictureFileUtils.close(inputStream);
            return null;
        } catch (Throwable th3) {
            th = th3;
            PictureFileUtils.close(inputStream2);
            throw th;
        }
    }
}
