package o;

import android.graphics.Matrix;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.Rational;
import android.util.Size;
import androidx.camera.core.d3;
import com.yalantis.ucrop.view.CropImageView;
import f0.h;
import java.util.HashMap;
import java.util.Map;
import s.a;

public class k {
    public static Map<d3, Rect> a(Rect rect, boolean z4, Rational rational, int i5, int i6, int i7, Map<d3, Size> map) {
        h.b(rect.width() > 0 && rect.height() > 0, "Cannot compute viewport crop rects zero sized sensor rect.");
        RectF rectF = new RectF(rect);
        HashMap hashMap = new HashMap();
        RectF rectF2 = new RectF(rect);
        for (Map.Entry<d3, Size> entry : map.entrySet()) {
            Matrix matrix = new Matrix();
            RectF rectF3 = new RectF(CropImageView.DEFAULT_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO, (float) entry.getValue().getWidth(), (float) entry.getValue().getHeight());
            matrix.setRectToRect(rectF3, rectF, Matrix.ScaleToFit.CENTER);
            hashMap.put(entry.getKey(), matrix);
            RectF rectF4 = new RectF();
            matrix.mapRect(rectF4, rectF3);
            rectF2.intersect(rectF4);
        }
        RectF g5 = g(rectF2, a.c(i5, rational), i6, z4, i7, i5);
        HashMap hashMap2 = new HashMap();
        RectF rectF5 = new RectF();
        Matrix matrix2 = new Matrix();
        for (Map.Entry entry2 : hashMap.entrySet()) {
            ((Matrix) entry2.getValue()).invert(matrix2);
            matrix2.mapRect(rectF5, g5);
            Rect rect2 = new Rect();
            rectF5.round(rect2);
            hashMap2.put((d3) entry2.getKey(), rect2);
        }
        return hashMap2;
    }

    private static RectF b(boolean z4, int i5, RectF rectF, RectF rectF2) {
        boolean z5 = true;
        boolean z6 = i5 == 0 && !z4;
        boolean z7 = i5 == 90 && z4;
        if (z6 || z7) {
            return rectF2;
        }
        boolean z8 = i5 == 0 && z4;
        boolean z9 = i5 == 270 && !z4;
        if (z8 || z9) {
            return c(rectF2, rectF.centerX());
        }
        boolean z10 = i5 == 90 && !z4;
        boolean z11 = i5 == 180 && z4;
        if (z10 || z11) {
            return d(rectF2, rectF.centerY());
        }
        boolean z12 = i5 == 180 && !z4;
        if (i5 != 270 || !z4) {
            z5 = false;
        }
        if (z12 || z5) {
            return c(d(rectF2, rectF.centerY()), rectF.centerX());
        }
        throw new IllegalArgumentException("Invalid argument: mirrored " + z4 + " rotation " + i5);
    }

    private static RectF c(RectF rectF, float f5) {
        return new RectF(e(rectF.right, f5), rectF.top, e(rectF.left, f5), rectF.bottom);
    }

    private static RectF d(RectF rectF, float f5) {
        return new RectF(rectF.left, f(rectF.bottom, f5), rectF.right, f(rectF.top, f5));
    }

    private static float e(float f5, float f6) {
        return (f6 + f6) - f5;
    }

    private static float f(float f5, float f6) {
        return (f6 + f6) - f5;
    }

    public static RectF g(RectF rectF, Rational rational, int i5, boolean z4, int i6, int i7) {
        Matrix.ScaleToFit scaleToFit;
        if (i5 == 3) {
            return rectF;
        }
        Matrix matrix = new Matrix();
        RectF rectF2 = new RectF(CropImageView.DEFAULT_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO, (float) rational.getNumerator(), (float) rational.getDenominator());
        if (i5 == 0) {
            scaleToFit = Matrix.ScaleToFit.START;
        } else if (i5 == 1) {
            scaleToFit = Matrix.ScaleToFit.CENTER;
        } else if (i5 == 2) {
            scaleToFit = Matrix.ScaleToFit.END;
        } else {
            throw new IllegalStateException("Unexpected scale type: " + i5);
        }
        matrix.setRectToRect(rectF2, rectF, scaleToFit);
        RectF rectF3 = new RectF();
        matrix.mapRect(rectF3, rectF2);
        return b(h(z4, i6), i7, rectF, rectF3);
    }

    private static boolean h(boolean z4, int i5) {
        boolean z5 = true;
        if (i5 != 1) {
            z5 = false;
        }
        return z4 ^ z5;
    }
}
