package androidx.core.widget;

import android.content.Context;
import android.os.Build;
import android.util.AttributeSet;
import android.widget.EdgeEffect;
import com.yalantis.ucrop.view.CropImageView;

public final class e {

    /* access modifiers changed from: private */
    public static class a {
        public static EdgeEffect a(Context context, AttributeSet attributeSet) {
            try {
                return new EdgeEffect(context, attributeSet);
            } catch (Throwable unused) {
                return new EdgeEffect(context);
            }
        }

        public static float b(EdgeEffect edgeEffect) {
            try {
                return edgeEffect.getDistance();
            } catch (Throwable unused) {
                return CropImageView.DEFAULT_ASPECT_RATIO;
            }
        }

        public static float c(EdgeEffect edgeEffect, float f5, float f6) {
            try {
                return edgeEffect.onPullDistance(f5, f6);
            } catch (Throwable unused) {
                edgeEffect.onPull(f5, f6);
                return CropImageView.DEFAULT_ASPECT_RATIO;
            }
        }
    }

    public static EdgeEffect a(Context context, AttributeSet attributeSet) {
        return c0.a.c() ? a.a(context, attributeSet) : new EdgeEffect(context);
    }

    public static float b(EdgeEffect edgeEffect) {
        return c0.a.c() ? a.b(edgeEffect) : CropImageView.DEFAULT_ASPECT_RATIO;
    }

    public static void c(EdgeEffect edgeEffect, float f5, float f6) {
        if (Build.VERSION.SDK_INT >= 21) {
            edgeEffect.onPull(f5, f6);
        } else {
            edgeEffect.onPull(f5);
        }
    }

    public static float d(EdgeEffect edgeEffect, float f5, float f6) {
        if (c0.a.c()) {
            return a.c(edgeEffect, f5, f6);
        }
        c(edgeEffect, f5, f6);
        return f5;
    }
}
