package com.luck.picture.lib.io;

public final class ByteArrayAdapter implements ArrayAdapterInterface<byte[]> {
    private static final String TAG = "ByteArrayPool";

    public int getArrayLength(byte[] bArr) {
        return bArr.length;
    }

    @Override // com.luck.picture.lib.io.ArrayAdapterInterface
    public int getElementSizeInBytes() {
        return 1;
    }

    @Override // com.luck.picture.lib.io.ArrayAdapterInterface
    public String getTag() {
        return TAG;
    }

    @Override // com.luck.picture.lib.io.ArrayAdapterInterface
    public byte[] newArray(int i5) {
        return new byte[i5];
    }
}
