package com.luck.picture.lib.io;

public final class IntegerArrayAdapter implements ArrayAdapterInterface<int[]> {
    private static final String TAG = "IntegerArrayPool";

    public int getArrayLength(int[] iArr) {
        return iArr.length;
    }

    @Override // com.luck.picture.lib.io.ArrayAdapterInterface
    public int getElementSizeInBytes() {
        return 4;
    }

    @Override // com.luck.picture.lib.io.ArrayAdapterInterface
    public String getTag() {
        return TAG;
    }

    @Override // com.luck.picture.lib.io.ArrayAdapterInterface
    public int[] newArray(int i5) {
        return new int[i5];
    }
}
